Restart Deployment Stateless Resource
- POST /deployments/{deployment_id}/{stateless_resource_kind}/{ref_id}/_restart
Restarts a Stateless Resource. If a Resource is active: this command re-applies the existing plan but applies a "cluster_reboot", which issues a restart command and waits for it to complete. If a Resource is inactive: this command starts it up with the most recent successful plan.
Path Parameters
-
deployment_idstringrequired -
Identifier for the Deployment.
-
stateless_resource_kindrequired -
The kind of stateless resource
-
Values:
kibanaapmappsearchenterprise_searchintegrations_server -
ref_idstringrequired -
User-specified RefId for the Resource (or '_main' if there is only one).
Query Parameters
-
cancel_pendingboolean · default: false If true, cancels any pending plans before restarting. If false and there are pending plans, returns an error.
Responses
The restart command was issued successfully
- The Deployment specified by {deployment_id} cannot be found. (code:
deployments.deployment_not_found) - The Resource specified by {ref_id} cannot be found. (code:
deployments.deployment_resource_not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
The command sent to a Resource found the Resource in an illegal state, the error message gives more details. (code: deployments.deployment_resource_plan_change_error)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
We have failed you. (code: deployments.deployment_resource_no_longer_exists)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response